RECDEL(1)

NAME
recdel - remove records from a recfile

SYNOPSIS
recdel [OPTIONS]... [-t TYPE] [-n NUM | -e RECORD_EXPR | -q STR | -m NUM] [FILE]

DESCRIPTION
Remove (or comment out) records from a rec file.

-c, --comment
    comment out the matching records instead of deleting them.

--force
    delete even in potentially dangerous situations, and if the deletion is violating record restrictions.

--no-external
    don't use external descriptors.

--verbose
    give a detailed report if the integrity check fails.

--help
    print a help message and exit.

--version
    show version and exit.

  Record selection options:

-i, --case-insensitive
    make strings case-insensitive in selection expressions.

-t, --type=TYPE
    operate on records of the specified type only.

-e, --expression=RECORD_EXPR
    selection expression.

-q, --quick=STR
    select records with fields containing a string.

-n, --number=NUM,...
    select specific records by position, with ranges.

-m, --random=NUM
    select a given number of random records.

If no FILE is specified then the command acts like a filter, getting the data from standard input and writing the result to standard output.

AUTHOR
Written by Jose E. Marchesi.

REPORTING BUGS
Report bugs to: bug-recutils@gnu.org
GNU recutils home page: <https://www.gnu.org/software/recutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for recdel is maintained as a Texinfo manual. If the info and recdel programs are properly installed at your site, the command

    info recutils

should give you access to the complete manual.